package com.zipcoder.payment;

public class CreditCard implements Payment {

    long id;
    String payerName;
    String number;
    int expiredMonth;
    int expiredYear;

    public CreditCard(long id, String payerName, String number, int expiredMonth, int expiredYear) {
        this.id = id;
        this.payerName = payerName;
        this.number = number;
        this.expiredMonth = expiredMonth;
        this.expiredYear = expiredYear;
    }

    public CreditCard() {
    }

    public long getId(){
        return id;
    }
    public void setId(long id){
        this.id = id;

    }
    public String getPayerName(){
        return payerName;
    }

    public void setPayerName(String payerName){
        this.payerName = payerName;
    }

    public void setNumber(String number){
        this.number = number;
    }

    public String getNumber(){
        return number;
    }

    public void setExpiredMonth(int expiredMonth){
        this.expiredMonth = expiredMonth;
    }
    public int getExpiredMonth(){
        return expiredMonth;
    }

    public void setExpiredYear(int expiredYear){
        this.expiredYear = expiredYear;
    }

    public int getExpiredYear(){
        return expiredYear;
    }

    public String getShortDescription(){
        return "CC" + payerName + " " +  number.substring(number.length()-5, number.length()-1) + " " + expiredMonth + "/" + expiredYear;
    }
    public int compareTo(Payment p){
        return this.getShortDescription().compareTo(p.getShortDescription());

    }




}
