package com.zipcoder.payment;

public class PayPal implements Payment{
    long id;
    String payerName;
    String email;

    public PayPal(long id, String payerName, String email) {
        this.id = id;
        this.payerName = payerName;
        this.email = email;
    }

    public PayPal() {
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getPayerName() {
        return payerName;
    }

    public void setPayerName(String payerName) {
        this.payerName = payerName;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getShortDescription(){
        return "PayPal " + payerName + " " +  email;

    }

    public int compareTo(Payment p){
       return this.getShortDescription().compareTo(p.getShortDescription());

    }

}
